// This program is intended to use the Serial Port to read values being sent by a Python script
// Starting Conditions: There must be a devlopment board and the port it is connected to must match the port in the Python script
//                      That Python code must be able to send a compatible value - see "sendMessageToArduino.py"
//                      The Serial Monitor within Arduino IDE must be closed prior to running Python program. It may be opened after program begins.
// Input: Takes in a value sent through the Serial Port
// Output: Prints the value that was read to the Serial Monitor. Also blinks the built-in LED as many times as specified by the value, if it is an integer.

int value;  // initializing the variable to store what was sent by the Serial Monitor

void setup() {
 Serial.begin(9600);  // make sure baud rates match between Arduino and Python code
 pinMode(LED_BUILTIN, OUTPUT);  // set the built-in LED (connected to pin 13) as an output
}

void loop() {
 while (!Serial.available());
 value = Serial.readString().toInt(); // reads the byte that was sent as a string and converts it to an integer
 Serial.println(value); // prints the value that was sent

 for (int i = 0; i < value; i++){ // will go through this loop as many times as specified by the value that was sent
   digitalWrite(LED_BUILTIN, HIGH); // turn built-in led on
   delay(500);  // on for half a second
   digitalWrite(LED_BUILTIN, LOW);  // turn built-in led off
   delay(500);  // off for half a second
 }
}
